Subject: Re: [OSPF] FW: New Version Notification for draft-chen-ospf-transition-to-ospfv3-01.txt

From: Acee Lindem <[email-masked]>
Date: Sun, 13 Jul 2014 07:18:17 -0400

Hi Anton, 
On Jul 8, 2014, at 7:11 AM, Anton Smirnov <[email-masked]> wrote:

> Hi Helen,
> I believe encapsulation choice is per-link decision, i.e. there shouldn't be any problems in running IPv4 AF OSPFv3 over IPv4 on one link of a router and IPv4 AF OSPFv3 over IPv6 on another link as long as all routers connected to each link use the same encapsulation.

Yes - this should be possible for OSPF interfaces and could be useful if one wants to use standard IPv6 encapsulation in all cases except a particular interface that doesn’t support IPv6 (as described in section 3). 

> Likewise, if IPv4 AF VL packets themselves are IPv4-encapsulated it shouldn't matter if physical links are using IPv6 or IPv4 encapsulation. The draft's text could be more clear on this aspect.

Since the virtual link endpoint is determined dynamical and a virtual link is only considered up when there is reachability in the transit area, OSPF for an address family differing from the encapsulation cannot work without mechanisms outside the protocol., Hence, this isn’t something that will included in the scope of this draft. 

Thanks,
Acee 

> 
> Anton
> 
> 
> On 07/02/2014 04:02 PM, Ing-Wher Chen wrote:
>> Hello,
>> 
>> Acee, Ran, and I have updated the following draft to address the feedback at the last meeting and on the mailing list.  In particular, a new section on IPv4 use case has been added, and the edits that Karsten suggested back on Feb. 17, 2014 have also been incorporated.
>> 
>> Thanks,
>> Helen
>> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> Sent: Wednesday, July 02, 2014 9:27 AM
>> To: R. Atkinson; Ing-Wher Chen; Ing-Wher Chen; Acee Lindem; Acee Lindem
>> Subject: New Version Notification for draft-chen-ospf-transition-to-ospfv3-01.txt
>> 
>> 
>> A new version of I-D, draft-chen-ospf-transition-to-ospfv3-01.txt
>> has been successfully submitted by I. Chen and posted to the IETF repository.
>> 
>> Name:		draft-chen-ospf-transition-to-ospfv3
>> Revision:	01
>> Title:		OSPFv3 over IPv4 for IPv6 Transition
>> Document date:	2014-07-02
>> Group:		Individual Submission
>> Pages:		9
>> URL:            http://www.ietf.org/internet-drafts/draft-chen-ospf-transition-to-ospfv3-01.txt
>> Status:         https://datatracker.ietf.org/doc/draft-chen-ospf-transition-to-ospfv3/
>> Htmlized:       http://tools.ietf.org/html/draft-chen-ospf-transition-to-ospfv3-01
>> Diff:           http://www.ietf.org/rfcdiff?url2=draft-chen-ospf-transition-to-ospfv3-01
>> 
>> Abstract:
>> This document defines a mechanism to use IPv4 to transport OSPFv3
>> packets, in order to facilitate transition from IPv4-only to IPv6 and
>> dual-stack within a routing domain.  Using OSPFv3 over IPv4 with the
>> existing OSPFv3 Address Family extension can simplify transition from
>> an OSFPv2 IPv4-only routing domain to an OSPFv3 dual-stack routing
>> domain.
>> 
>> 
>> 
>> 
>> Pl